.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}
.form{
  margin-top: 100px;
  margin-bottom: 50px;
}
.input{
  width: 400px;
  padding: 10px;
  border-radius: 15px;
  outline: none;
}
.add-button{
  width: 100px;
  padding: 10px;
  font-size: 16px;
  margin: 10px;
  border: 2px solid rgb(97, 97, 97);
  border-radius: 15px;
  outline: none;
}
.add-button:hover{
  background-color: #ccc;
  cursor: pointer;
}
.task-container{
  display: flex;
  border-bottom: 1px solid #979797;
  width: 100%;

}

.task-container-background{
  display: flex;
  flex-grow: 1;
  margin-bottom: 6px;
  margin-top: 6px;
  border-radius: 5px;
  padding-left: 2px;
  padding-right: 2px;
  transition: all 0.2s ease-in-out;
}

.task-container-background:hover{
  background-color: #ccc;
}

.task-term-container{
  display: flex;
  width: 90%;
}

.task-term{
  font-size: 15px;
  color: #514c4c;
  padding-right: 10px;
  padding-left: 10px;
}

.buttons-container{
  display: flex;
  align-items: center;
}

.delete-button, .done-button{
  display: flex;
  width: 20px;
  height: 20px;
  background-color: rgb(97, 97, 97, 0.2);
  color: #454E53;
  border: none;
  outline: none;
  border-radius: 50%;
  font-size: 12px;
  margin: 3px;
  justify-content: center;
  align-items: center;
}

.delete-button:hover, .done-button:hover{
  background-color: rgb(97, 97, 97, 0.5);
  cursor: pointer;
}
.tasks-list-container{
  display: flex;
  width: 40%;
  margin: auto;
  justify-content: center;
}

.tasks-list{
  width: 100%;
  padding-left: 10px;
  padding-right: 10px;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
